      subroutine site_amp_correction(
     :      per, v30, v30ref, imodel_lin, 
     :      bv, va,
     :      nonlin_corr, imodel_nl, pga_g,
     :      a1, pga_g_low, a2,
     :      bnl, amp_lin, amp_nonlin, amp_total)
      
* Input parameters: per, v30, v30ref, imodel_lin
* Output parameters: bv (in terms of common log), va, amp_lin
* Input parameters: imodel_nl, pga_g, pga_low
* Output parameters: bnl (in terms of common log), amp_nonlin

* Dates: 08/02/05 - Written by D. Boore
*        07/03/06 - Add parameters a1, a2 for cubic smoothing

      character nonlin_corr*1
 
      call site_amp_linear(per, v30, v30ref, imodel_lin, 
     :                            bv, va, amp_lin)
     
      if (nonlin_corr .eq. 'Y') then
        call site_amp_nonlinear(
     :    per, v30, v30ref, pga_g, imodel_nl,
     :    a1, pga_g_low, a2,
     :    bnl, amp_nonlin)
      else
        bnl = 0.0
        amp_nonlin = 1.0
      end if
      
      amp_total = amp_lin * amp_nonlin
      
      return
      
      end
      
      include '\forprogs\site_amp_linear.for'
      include '\forprogs\site_amp_nonlinear.for'
      